package com.kingdee.eas.hr.perf.service;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.bsf.service.app.IHRMsfService;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.hr.perf.handler.PerfEvaluObjectListHandlerEx;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;

import java.util.HashMap;
import java.util.Map;

/**
 * @author qingwu
 * @date 2024/12/18
 * @apiNote
 */
public class PerfEvaluObjectService implements IHRMsfService {
    @Override
    public Object process(Context context, Map<String, Object> map) throws EASBizException, BOSException {
        PerfEvaluObjectListHandlerEx perfEvaluObjectListHandlerEx = new PerfEvaluObjectListHandlerEx();
        String billId = (String) map.get("billId");

        Integer day = (Integer) map.get("day");
        Map result = new HashMap();
        try {
            perfEvaluObjectListHandlerEx.addPerfEvaObject(billId == null ? "" : billId, day == null ? 0 : day);
        } catch (SHRWebException e) {
            e.printStackTrace();
            throw new RuntimeException(e);
        }
        //result.put("map", map);
        result.put("code", "200");
        result.put("msg", "ɹ");
        return result;
    }
}
